Current

This document is valid for the current version of Plone.

Ubuntu / Debian Package Installation

by Steve McMahon last modified Feb 19, 2013 11:44 AM
Contributors: Sven Strack
How to install required packages on Debian/Ubuntu style systems.

Before installing you may install the needed system packages by running:

sudo apt-get install build-essential
sudo apt-get install libssl-dev
sudo apt-get install libxml2-dev
sudo apt-get install libxslt1-dev
sudo apt-get install libbz2-dev
sudo apt-get install zlib1g-dev
sudo apt-get install python-setuptools
sudo apt-get install python-dev

If you use Ubuntu Lucid or other older versions, please replace python-setuptools with python-distribute.

It's also very desirable to use system packages for common libraries, rather than to have the installer use its own:

sudo apt-get install libjpeg62-dev
sudo apt-get install libreadline-gplv2-dev
sudo apt-get install python-imaging

And, if you want to enable Word and PDF document indexing:

sudo apt-get install wv
sudo apt-get install poppler-utils

For more information about installing please read the manual on developer.plone.org